Return openSSL error message

- « openssl_encrypt

- openssl_free_key »

- PHP Manual
- OpenSSL Functions
- Return openSSL error message

# openssl_error_string

(PHP 4 >= 4.0.6, PHP 5, PHP 7, PHP 8)

openssl_error_string — Return openSSL error message

### Description

openssl_error_string(): string|false

openssl_error_string() returns the last error from the openSSL library. Error messages are queued, so this function should be called multiple times to collect all of the information. The last error will be the most recent one.

### Parameters

This function has no parameters.

### Return Values

Returns an error message string, or `false` if there are no more error messages to return.

### Examples

Example #1 openssl_error_string() example

    <?php// lets assume you just called an openssl function that failedwhile ($msg = openssl_error_string())    echo $msg . "<br />\n";?>